Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 516152 (gcc-4.8-stable) - =sys-devel/gcc-4.8.3 =dev-libs/cloog-0.18.1 =dev-libs/isl-0.12.2: stable request
Summary: =sys-devel/gcc-4.8.3 =dev-libs/cloog-0.18.1 =dev-libs/isl-0.12.2: stable request
Status: RESOLVED FIXED
Alias: gcc-4.8-stable
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement with 4 votes (vote)
Assignee: Please assign to toolchain
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: gcc-4.8 487266 PR60465 PR61538 523788 539950
Blocks: 448024 545124
  Show dependency tree
 
Reported: 2014-07-03 10:32 UTC by Michał Górny
Modified: 2015-12-28 18:34 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-07-03 10:32:06 UTC
Quoting [1]:

> 4.7.x is not supported anymore, so even if this was a bug in 4.7.4, it is not going to be fixed.

Does it seem feasible to stabilize the supported 4.8 branch?

[1]:https://gcc.gnu.org/bugzilla/show_bug.cgi?id=61639
Comment 1 Ryan Hill (RETIRED) gentoo-dev 2014-07-04 05:04:30 UTC
Let's get it keyworded first. :)

I also want to let SSP cook a while longer, and we need to figure out the gcj multilib stuff, etc.  But we can get it started.
Comment 2 SpanKY gentoo-dev 2014-09-23 19:13:30 UTC
some arches are known to break w/gcc-4.8, but we can move forward with the rest at least
Comment 3 Joe M 2014-09-23 20:11:46 UTC
Can we please stabilize 4.8 on amd64 atleast?
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2014-09-24 07:45:56 UTC
(This doesn't look like a tracker.)

Just any 4.8.* ?
Comment 5 Pacho Ramos gentoo-dev 2014-09-24 09:29:29 UTC
What about the blockers of "gcc-4.8" bug? I am thinking in bug 513386, but there are some others opened :/
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2014-09-28 11:01:49 UTC
Stable for HPPA.
Comment 7 Ryan Hill (RETIRED) gentoo-dev 2014-09-29 02:31:41 UTC
Let's get this going.  What arches are broken?
Comment 8 Nick Hovaker 2014-09-29 16:51:58 UTC
Would like to see gcc-4.8.? become stable sometime soon, as many programs, including one that I maintain, can only be compiled on >=gcc-4.8.?
Comment 9 Joshua Kinard gentoo-dev 2014-09-30 03:19:58 UTC
(In reply to Ryan Hill from comment #7)
> Let's get this going.  What arches are broken?

MIPS is somewhat broken.  I can only test on SGI equipment, but it appears that the __atomic_* builtins added for MIPS in gcc-4.8 have issues w/ the R10000 processor.  I have no way to verify if similar problems are present on newer MIPS hardware.  I've updated Bug #516548 with additional details.

Since MIPS doesn't have a stable tree, this shouldn't be a blocker for other arches, but I'd still like to keep the issue tracked until I poke upstream enough to get someone who understands gcc's internals to take a look and maybe fix it.
Comment 10 Rafał Mużyło 2014-10-12 13:37:00 UTC
From http://www.gossamer-threads.com/lists/gentoo/dev/293411#293411:

> One highlight is <https://bugs.gentoo.org/show_bug.cgi?id=513386>. It
> occurs only when the user has gcc-4.7 and 4.8 installed simultaneously
> and using 4.7 as the active compiler. It's not obvious to me whether we
> have to support this (while it's obviously better to support rather than
> not, it's webkit-gtk in a specific and rare configuration versus
> chromium with security updates in all configurations).


Well, that's kind of false.
It's by no means webkit-gtk specific - it's only that webkit-gtk is the only at the moment *known* package, that uses API, that had incompatible ABI changes.
I don't have info about how widespread the changes were, so it's hard to even guesstimate the number of affected packages (though it's likely low, as c++11 isn't that widespread now), but as long as gcc upstream doesn't declare c++11 ABI stable (has that already happen in the meanwhile ?), such failures will pop up every now and then.

The patch from bug 513386 comment 18 has its charm, but might become a maintenance burden.
Comment 11 Markus Meier gentoo-dev 2014-10-16 18:39:47 UTC
Needs dev-libs/cloog and dev-libs/isl stable. Any objections or which version should we stabilize?

  dependency.bad                2
   sys-devel/gcc/gcc-4.8.3.ebuild: DEPEND: arm(default/linux/arm/13.0) ['>=dev-libs/cloog-0.18.0', '>=dev-libs/isl-0.11.1']
   sys-devel/gcc/gcc-4.8.3.ebuild: RDEPEND: arm(default/linux/arm/13.0) ['>=dev-libs/cloog-0.18.0', '>=dev-libs/isl-0.11.1']
Comment 12 Anthony Basile gentoo-dev 2014-10-16 21:58:35 UTC
(In reply to Markus Meier from comment #11)
> Needs dev-libs/cloog and dev-libs/isl stable. Any objections or which
> version should we stabilize?
> 
>   dependency.bad                2
>    sys-devel/gcc/gcc-4.8.3.ebuild: DEPEND: arm(default/linux/arm/13.0)
> ['>=dev-libs/cloog-0.18.0', '>=dev-libs/isl-0.11.1']
>    sys-devel/gcc/gcc-4.8.3.ebuild: RDEPEND: arm(default/linux/arm/13.0)
> ['>=dev-libs/cloog-0.18.0', '>=dev-libs/isl-0.11.1']

I would aim for the following set for stabilization:

 =sys-devel/gcc-4.8.3
 =dev-libs/cloog-0.18.1
 =dev-libs/isl-0.12.2

and for gmp we can stay on 5.1.3-r1 but 6.0.0a should also work.  I'v tested on amd64 and mipsel3.  Let me test on ppc and ppc64 and report back.  I can also test on arm, by if you like Markus, you can try that.
Comment 13 Anthony Basile gentoo-dev 2014-10-18 13:32:45 UTC
(In reply to Anthony Basile from comment #12)
> (In reply to Markus Meier from comment #11)
> > Needs dev-libs/cloog and dev-libs/isl stable. Any objections or which
> > version should we stabilize?
> > 
> >   dependency.bad                2
> >    sys-devel/gcc/gcc-4.8.3.ebuild: DEPEND: arm(default/linux/arm/13.0)
> > ['>=dev-libs/cloog-0.18.0', '>=dev-libs/isl-0.11.1']
> >    sys-devel/gcc/gcc-4.8.3.ebuild: RDEPEND: arm(default/linux/arm/13.0)
> > ['>=dev-libs/cloog-0.18.0', '>=dev-libs/isl-0.11.1']
> 
> I would aim for the following set for stabilization:
> 
>  =sys-devel/gcc-4.8.3
>  =dev-libs/cloog-0.18.1
>  =dev-libs/isl-0.12.2
> 
> and for gmp we can stay on 5.1.3-r1 but 6.0.0a should also work.  I'v tested
> on amd64 and mipsel3.  Let me test on ppc and ppc64 and report back.  I can
> also test on arm, by if you like Markus, you can try that.

Preliminary tests show this combination works on ppc and ppc64.
Comment 14 Markus Meier gentoo-dev 2014-10-22 19:13:30 UTC
arm stable
Comment 15 Manuel Rüger (RETIRED) gentoo-dev 2014-10-22 20:33:22 UTC
Keywords for sys-devel/gcc:
             |                             | u      |  
             | a a   a           p     s   | n      |  
             | l m   r h i m m   p s   p   | u s    | r
             | p d a m p a 6 i p c 3   a x | s l    | e
             | h 6 r 6 p 6 8 p p 6 9 s r 8 | e o    | p
             | a 4 m 4 a 4 k s c 4 0 h c 6 | d t    | o
   4.8.2     | ~ ~ ~ + ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ | o      | gentoo
[I]4.8.3     | ~ ~ + ~ + ~ ~ ~ ~ ~ ~ ~ ~ ~ | o      | gentoo


Adding hppa back
Comment 16 Manuel Rüger (RETIRED) gentoo-dev 2014-10-22 20:34:35 UTC
Adding hppa back(In reply to Manuel Rüger from comment #15)
> Keywords for sys-devel/gcc:
>              |                             | u      |  
>              | a a   a           p     s   | n      |  
>              | l m   r h i m m   p s   p   | u s    | r
>              | p d a m p a 6 i p c 3   a x | s l    | e
>              | h 6 r 6 p 6 8 p p 6 9 s r 8 | e o    | p
>              | a 4 m 4 a 4 k s c 4 0 h c 6 | d t    | o
>    4.8.2     | ~ ~ ~ + ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ | o      | gentoo
> [I]4.8.3     | ~ ~ + ~ + ~ ~ ~ ~ ~ ~ ~ ~ ~ | o      | gentoo
> 
> 
> Adding hppa back

Pardon, I meant arm64.
Comment 17 Anthony Basile gentoo-dev 2014-10-22 20:43:59 UTC
stable on ppc and ppc64
Comment 18 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-10-24 18:30:18 UTC
gcc stable itself on amd64. For the rest i've got these complaints:

 dependency.bad                20
   dev-libs/cloog/cloog-0.18.1.ebuild: RDEPEND: amd64(default/linux/amd64/13.0) ['>=dev-libs/gmp-5.1.3-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=dev-libs/isl-0.12.2:0/10[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
   dev-libs/cloog/cloog-0.18.1.ebuild: RDEPEND: amd64(default/linux/amd64/13.0/desktop) ['>=dev-libs/gmp-5.1.3-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=dev-libs/isl-0.12.2:0/10[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
   dev-libs/cloog/cloog-0.18.1.ebuild: RDEPEND: amd64(default/linux/amd64/13.0/desktop/gnome) ['>=dev-libs/gmp-5.1.3-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=dev-libs/isl-0.12.2:0/10[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
   dev-libs/cloog/cloog-0.18.1.ebuild: RDEPEND: amd64(default/linux/amd64/13.0/desktop/gnome/systemd) ['>=dev-libs/gmp-5.1.3-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]', '>=dev-libs/isl-0.12.2:0/10[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
......


oMan scours the neighborhood...
  dependency.bad                18
   dev-libs/isl/isl-0.12.2.ebuild: DEPEND: amd64(default/linux/amd64/13.0) ['>=dev-libs/gmp-5.1.3-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
   dev-libs/isl/isl-0.12.2.ebuild: RDEPEND: amd64(default/linux/amd64/13.0) ['>=dev-libs/gmp-5.1.3-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
   dev-libs/isl/isl-0.12.2.ebuild: DEPEND: amd64(default/linux/amd64/13.0/desktop) ['>=dev-libs/gmp-5.1.3-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
   dev-libs/isl/isl-0.12.2.ebuild: RDEPEND: amd64(default/linux/amd64/13.0/desktop) ['>=dev-libs/gmp-5.1.3-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]']
..........
Comment 19 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-10-24 18:38:08 UTC
+  24 Oct 2014; Michał Górny <mgorny@gentoo.org>
+  no-emul-linux-x86/package.use.stable.mask, package.use.stable.mask:
+  Stable-mask abi_x86_32 on dev-libs/{cloog,isl}, bug #516152. Sort lexically.

Now amd64 should be happy.
Comment 20 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-10-24 18:53:07 UTC
amd64 done now.
Comment 21 Agostino Sarubbo gentoo-dev 2014-11-03 11:22:24 UTC
x86 stable
Comment 22 Agostino Sarubbo gentoo-dev 2014-12-26 11:28:31 UTC
sparc stable
Comment 23 Raúl Porcel (RETIRED) gentoo-dev 2015-02-12 13:33:37 UTC
arm64 is already stable
Comment 24 Matt Turner gentoo-dev 2015-05-21 03:30:21 UTC
cloog and isl were stabilized on alpha as part of bug 545124, which also stabilized gcc-4.8.4.

I only see ia64@ still in Cc, which is Cc'd in 545124 as well. Marking as resolved.